Package org.opensaml.soap.wstrust

# Interface WSTrustObjectBuilder<WSTrustObjectType extends WSTrustObject>

Type Parameters:
  `WSTrustObjectType` - type of object

All Superinterfaces:
  `XMLObjectBuilder<WSTrustObjectType>`

All Known Implementing Classes:
  `AbstractWSTrustObjectBuilder`, `AllowPostdatingBuilder`, `AuthenticationTypeBuilder`, `AuthenticatorBuilder`, `BinaryExchangeBuilder`, `BinarySecretBuilder`, `CancelTargetBuilder`, `CanonicalizationAlgorithmBuilder`, `ChallengeBuilder`, `ClaimsBuilder`, `CodeBuilder`, `CombinedHashBuilder`, `ComputedKeyAlgorithmBuilder`, `ComputedKeyBuilder`, `DelegatableBuilder`, `DelegateToBuilder`, `EncryptionAlgorithmBuilder`, `EncryptionBuilder`, `EncryptWithBuilder`, `EntropyBuilder`, `ForwardableBuilder`, `IssuedTokensBuilder`, `IssuerBuilder`, `KeyExchangeTokenBuilder`, `KeySizeBuilder`, `KeyTypeBuilder`, `KeyWrapAlgorithmBuilder`, `LifetimeBuilder`, `OnBehalfOfBuilder`, `ParticipantBuilder`, `ParticipantsBuilder`, `PrimaryBuilder`, `ProofEncryptionBuilder`, `ReasonBuilder`, `RenewingBuilder`, `RenewTargetBuilder`, `RequestedAttachedReferenceBuilder`, `RequestedProofTokenBuilder`, `RequestedSecurityTokenBuilder`, `RequestedTokenCancelledBuilder`, `RequestedUnattachedReferenceBuilder`, `RequestKETBuilder`, `RequestSecurityTokenBuilder`, `RequestSecurityTokenCollectionBuilder`, `RequestSecurityTokenResponseBuilder`, `RequestSecurityTokenResponseCollectionBuilder`, `RequestTypeBuilder`, `SignatureAlgorithmBuilder`, `SignChallengeBuilder`, `SignChallengeResponseBuilder`, `SignWithBuilder`, `StatusBuilder`, `TokenTypeBuilder`, `UseKeyBuilder`, `ValidateTargetBuilder`

public interface WSTrustObjectBuilder<WSTrustObjectType extends WSTrustObject> extends XMLObjectBuilder<WSTrustObjectType>
WSTrustObjectBuilder.

## Method Summary

Modifier and Type
Method
Description
`WSTrustObjectType`
`buildObject()`
Builds a WS-Trust object of the given type.

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Method Details

### buildObject

@Nonnull WSTrustObjectType buildObject()
Builds a WS-Trust object of the given type.

Returns:
  the built object